<?php

namespace App\Console\Commands;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Maatwebsite\Excel\Facades\Excel;

use Illuminate\Bus\Queueable;
//use Illuminate\Notifications\Notification;
use Illuminate\Support\Facades\Notification;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use App\Notifications\Reminders;

use App\Models\Reminder;
use Illuminate\Support\Facades\Mail;
use Illuminate\Console\Command;
use App\Models\User;
//use App\Mail\sendMail;


class SendReminderEmails extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'reminder:emails';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Send Reminder Notification to Users via Email';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        //return 0;
        //Get all reminders 
        //$reminders = Reminder::where('send_at', now()->format('Y-m-d')->where('empno', '3677'))
        $datenow = date('Y-m-d');

        //$reminders = Reminder::where('send_at', $datenow)->whereNotNull('empno')->whereNull('sent_at')->get();
        $reminders = Reminder::where('send_at', $datenow)->whereNull('sent_at')->get();
        foreach($reminders as $reminder){

            if($reminder->category == "Meds Subscription"){
                $users = DB::table('users')->where('id','=', $reminder->userid)->first();
                $subject = "Meds Subscription";
                $body = "You have a Meds Subscription to Prepare"; 
                $to = $users->id;
                $toname = $users->name;
                $refid = $reminder->id;
                $page = "REMINDERS";
                $actionURL= 'admin.subscriptions.show';
                $actionURL2= 'admin/subscriptions/'.$refid;

                //$users=User::where('empno','=',$reminder->empno)->first();

                $details = [
                    'empno' => "0000",
                    'name' => "Admin",
                    'subject' => $subject,
                    'from' => "0000",
                    'fromname' => "Admin",
                    'to' => $to,
                    'toname' => $toname,
                    'body' => $body,
                    'refid' => $refid,
                    'page' => $page,
                    'actionURL' => $actionURL,
                    'actionURL2' => $actionURL2
                ];  

                Notification::send($users, new Reminders($details));
            }            

            if($reminder->category == "Birthday"){
                $employees = DB::table('employees')->where('empno','=', $reminder->empno)->first();
                $subject = "Birthday Greeting from St. Joseph Drug";
                $body = "Happy Birthday to a truly Outstanding employee! Where would we be without you, as you really are an asset to this organization! Thank you for a job well done!"; 
                $to = $employees->empno;
                $toname = $employees->fullname;
                $refid = $reminder->id;
                $page = "REMINDERS";
                $actionURL= 'personal.reminders.show';
                $actionURL2= 'personal/reminders/'.$refid .'/edit';

                $users=User::where('empno','=',$reminder->empno)->first();

                $details = [
                    'empno' => "0000",
                    'name' => "Admin",
                    'subject' => $subject,
                    'from' => "0000",
                    'fromname' => "Admin",
                    'to' => $to,
                    'toname' => $toname,
                    'body' => $body,
                    'refid' => $refid,
                    'page' => $page,
                    'actionURL' => $actionURL,
                    'actionURL2' => $actionURL2
                ];  

                Notification::send($users, new Reminders($details));
            }

            if($reminder->category == "Task"){
                $employees = DB::table('employees')->where('empno','=', $reminder->empno)->first();
                $subject = $reminder->title;
                $body = $subject ." on ". date("F d, Y h:i A", strtotime($reminder->start));
                $to = $employees->empno;
                $toname = $employees->fullname;
                $refid = $reminder->id;
                $page = "REMINDERS";
                $actionURL= 'personal.reminders.show';
                $actionURL2= 'personal/reminders/'.$refid .'/edit';

                $users=User::where('empno','=',$reminder->empno)->first();

                $details = [
                    'empno' => "0000",
                    'name' => "Admin",
                    'subject' => $subject,
                    'from' => "0000",
                    'fromname' => "Admin",
                    'to' => $to,
                    'toname' => $toname,
                    'body' => $body,
                    'refid' => $refid,
                    'page' => $page,
                    'actionURL' => $actionURL,
                    'actionURL2' => $actionURL2
                ];  

                Notification::send($users, new Reminders($details));
            }

            if($reminder->category == "Event"){
                $employees = DB::table('employees')->where('empno','=', $reminder->empno)->first();
                $subject = $reminder->title;
                $body = $subject. " on ". date("F d, Y h:i A", strtotime($reminder->start));
                $to = $employees->empno;
                $toname = $employees->fullname;
                $refid = $reminder->id;
                $page = "REMINDERS";
                $actionURL= 'personal.reminders.show';
                $actionURL2= 'personal/reminders/'.$refid .'/edit';

                $users=User::where('empno','=',$reminder->empno)->first();

                $details = [
                    'empno' => "0000",
                    'name' => "Admin",
                    'subject' => $subject,
                    'from' => "0000",
                    'fromname' => "Admin",
                    'to' => $to,
                    'toname' => $toname,
                    'body' => $body,
                    'refid' => $refid,
                    'page' => $page,
                    'actionURL' => $actionURL,
                    'actionURL2' => $actionURL2
                ];  

                Notification::send($users, new Reminders($details));
            }

            if($reminder->category == "Meeting"){
                $employees = DB::table('employees')->where('empno','=', $reminder->empno)->first();
                $subject = $reminder->title;
                $body = $subject. " on ". date("F d, Y h:i A", strtotime($reminder->start));
                $to = $employees->empno;
                $toname = $employees->fullname;
                $refid = $reminder->id;
                $page = "REMINDERS";
                $actionURL= 'personal.reminders.show';
                $actionURL2= 'personal/reminders/'.$refid;

                $users=User::where('empno','=',$reminder->empno)->first();

                $details = [
                    'empno' => "0000",
                    'name' => "Admin",
                    'subject' => $subject,
                    'from' => "0000",
                    'fromname' => "Admin",
                    'to' => $to,
                    'toname' => $toname,
                    'body' => $body,
                    'refid' => $refid,
                    'page' => $page,
                    'actionURL' => $actionURL,
                    'actionURL2' => $actionURL2
                ];  

                Notification::send($users, new Reminders($details));
            }


            $reminders2 = Reminder::where('id', '=', $reminder->id)->first(); 
            $reminders2->sent_at = date('Y-m-d');
            $reminders2->save();
        }
    }
}
