<?php

namespace App\Http\Controllers\Admin;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;

//use App\Exports\DepartmentsExport;
//use App\Imports\DepartmentsImport;
use Maatwebsite\Excel\Facades\Excel;


use Spatie\Permission\Models\Permission;

use DataTables;
use Carbon\Carbon;
use DateTime;
use App\Models\Address;

class AddressesController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
       

         if(request()->ajax())
         {
               $data = DB::table('addresses')
                ->select('*')
                ->where('userid', $request->userid)
                ->orderBy('address_id', 'ASC');
                 //->get();


             return datatables()->of($data) 
                    
            ->addColumn('action', function ($row) {
                $show = route('admin.addresses.show',$row->address_id);
                $edit =  route('admin.addresses.edit',$row->address_id);
                $delete =  route('admin.addresses.destroy',$row->address_id);
                $token =  csrf_token();                  

                return "<a title='Delete' href='#' onclick='DeleteAddress(this)' type='button' class='m-r-15 crm-action-edit text-muted' id=".$row->address_id. "><i class='fas fa-trash'></i> Delete</a> ";



                
            })

            ->make(true);


             // return datatables()->of($data)->make(true);
    


         }

         $addresses = DB::table('addresses')
                ->select('*')
                ->where('userid', $request->userid)
                ->orderBy('address_id', 'ASC');
              
         return view('admin.addresses.index', compact('addresses'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request, Address $addresses)
    {

        $regcode = $request->region;
        $provcode = $request->province;
        $towncode = $request->city;
        $brgycode = $request->barangay;

        $region = DB::table('regions')->where('code','=', $regcode)->first();
        $province = DB::table('provinces')->where('code','=', $provcode)->first();
        $town = DB::table('cities')->where('code','=', $towncode)->first();
        $brgy = DB::table('barangays')->where('code','=', $brgycode)->first();

        $addresses->type = $request->type; 
        $addresses->address = $request->address; 
        $addresses->brgycode = $brgycode; 
        $addresses->brgy = $brgy->name; 
        $addresses->towncode = $towncode; 
        $addresses->town = $town->name; 
        $addresses->provcode = $provcode; 
        $addresses->province = $province->name; 
        $addresses->regcode = $regcode; 
        $addresses->region = $region->name; 
        $addresses->zipcode = $request->zipcode; 
        $addresses->fulladdress = $request->address. " ". $brgy->name. ", ". $town->name. ", ". $province->name. " ". $request->zipcode; 
        $addresses->userid = $request->user_id; 
        $addresses->save();

        return redirect()->route('admin.subscriptions.index'); 
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Request $request, $id)
    {
        $id = $request->id;
        //$id = "4";
        $addresses = Address::where('address_id', '=', $id)->delete();
        //Address::destroy($id);
    }
}
