<?php

namespace App\Http\Controllers\Admin;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Maatwebsite\Excel\Facades\Excel;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;

use App\Models\Reminder;
use Spatie\Permission\Models\Permission;

use DataTables;
use Carbon\Carbon;
use DateTime;

//use App\Models\Event;
use Redirect,Response;

use Brian2694\Toastr\Facades\Toastr;

class RemindersController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
       

         if(request()->ajax())
         {
              if( !empty($request->sname) || !empty($request->stitle) || !empty($request->sdescription) || !empty($request->startdate) || !empty($request->enddate))
              {

                $query = DB::table('reminders');
                $query = $query->select('reminders.*', 'users.user_photo', 'users.name');
                $query = $query->leftJoin('users', 'users.id', '=', 'reminders.userid');

                if(!empty($request->sname)) {
                    $query = $query->where('name', 'LIKE',"%{$request->sname}%");
                };
                if(!empty($request->stitle)) {
                    $query = $query->where('title', 'LIKE',"%{$request->stitle}%");
                };
                if(!empty($request->sdescription)) {
                    $query = $query->where('description', 'LIKE',"%{$request->sdescription}%");
                };

                if(!empty($request->startdate)) {
                    $query = $query->where('start', '>=', $request->startdate);
                };  
                if(!empty($request->enddate)) {
                    $query = $query->where('start', '>=', $request->enddate);
                };

                //$data= $query->get(); 
                $data= $query; 

              }
              else
              {
               $data = DB::table('reminders')
               ->select('reminders.*', 'users.user_photo', 'users.name')
               ->leftJoin('users', 'users.id', '=', 'reminders.userid')
               ->orderBy('users.name', 'ASC');
              }

             return datatables()->of($data) 
                    
            ->addColumn('action', function ($row) {
                $show = route('admin.reminders.show',$row->id);
                $edit =  route('admin.reminders.edit',$row->id);
                $delete =  route('admin.reminders.destroy',$row->id);
                $token =  csrf_token();                  
                //return "<a href='{$show}' class='btn btn-xs btn-primary'><i class='glyphicon glyphicon-edit'></i> Edit</a>";
                return "<a href='{$show}' title='View' class='m-r-15 crm-action-edit text-muted'><i class='fas fa-desktop'></i></a>  &nbsp;<a href='{$edit}' title='Edit' class='m-r-15 crm-action-edit text-muted'><i class='fas fa-edit'></i></a> ". 
                    "<form action='{$delete}' name='deleteform' method='POST' onsubmit=\"return confirm('Are you sure you want to Delete Selected Record?');\" style='display: inline-block;'>".
                        "<input type='hidden' name='_method' value='DELETE'>".
                        "<input type='hidden' name='_token' value='{$token}'>". 
                        "<button type='submit' title = 'Delete' class='crm-action-delete text-muted' style='border:none; background:none; cursor:pointer;'><i class='fas fa-trash'></i></button>".
                    "</form>";
                
            })

            ->make(true);


             // return datatables()->of($data)->make(true);
    


         }

         $reminders = DB::table('reminders')
               ->select('reminders.*', 'users.user_photo', 'users.name')
               ->leftJoin('users', 'users.id', '=', 'reminders.userid')
               ->orderBy('users.name', 'ASC');

        return view('admin.reminders.index', compact('reminders'));
         
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    public function viewreminderscal(Request $request)
    {
        if(request()->ajax()) 
        {
         $start = (!empty($_GET["start"])) ? ($_GET["start"]) : ('');
         $end = (!empty($_GET["end"])) ? ($_GET["end"]) : ('');
         //$empno = auth()->user()->empno;

         $data = Reminder::get(['id','title','start', 'end','category']);
         return Response::json($data);
        }

    }

}
