<?php

namespace App\Http\Controllers\Admin;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;

//use App\Exports\DepartmentsExport;
//use App\Imports\DepartmentsImport;
use Maatwebsite\Excel\Facades\Excel;

use App\Models\Subscription;
use App\Models\Subsproduct;
use App\Models\Subsphoto;
use App\Models\Reminder;
use Spatie\Permission\Models\Permission;

use DataTables;
use Carbon\Carbon;
use DateTime;

use App\Models\Region;
use App\Models\Barangay;
use App\Models\Province;
use App\Models\City;
use App\Models\Address;


use Response;

class SubscriptionsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
       

         if(request()->ajax())
         {
              if( !empty($request->sname))
              {

                $query = DB::table('subscriptions');
                $query = $query->select('subscriptions.*', 'users1.name as username', 'users2.name as approvedby');
                $query = $query->leftJoin('users as users1', 'users1.id', '=', 'subscriptions.user_id');
                $query = $query->leftJoin('users as users2', 'users2.id', '=', 'subscriptions.approved_by');

                if(!empty($request->sname)) {
                    $query = $query->where('users1.name', 'LIKE',"%{$request->sname}%");
                };
                $query = $query->orderBy('subscriptions.subscription_id', 'DESC');

                //$data= $query->get(); 
                $data= $query; 

              }
              else
              {
               $data = DB::table('subscriptions')
                ->select('subscriptions.*', 'users1.name as username', 'users2.name as approvedby')
                ->leftJoin('users as users1', 'users1.id', '=', 'subscriptions.user_id')
                ->leftJoin('users as users2', 'users2.id', '=', 'subscriptions.approved_by')
                ->orderBy('subscriptions.subscription_id', 'DESC');
                 //->get();
              }

             return datatables()->of($data) 
                    
            ->addColumn('action', function ($row) {
                $show = route('admin.subscriptions.show',$row->subscription_id);
                $edit =  route('admin.subscriptions.edit',$row->subscription_id);
                $delete =  route('admin.subscriptions.destroy',$row->subscription_id);
                $token =  csrf_token();                  

                if($row->status == "For Approval" || $row->status == "Cancelled") {
                    return "<a href='{$show}' title='View' class='m-r-15 crm-action-edit text-muted'><i class='fas fa-desktop'></i></a>  &nbsp;<a href='{$edit}' title='Edit' class='m-r-15 crm-action-edit text-muted'><i class='fas fa-edit'></i></a> ". 
                        "<form action='{$delete}' name='deleteform' method='POST' onsubmit=\"return confirm('Are you sure you want to Delete Selected Record?');\" style='display: inline-block;'>".
                            "<input type='hidden' name='_method' value='DELETE'>".
                            "<input type='hidden' name='_token' value='{$token}'>". 
                            "<button type='submit' title = 'Delete' class='crm-action-delete text-muted' style='border:none; background:none; cursor:pointer;'><i class='fas fa-trash'></i></button>".
                        "</form>";
                } else {
                    return "<a href='{$show}' title='View' class='m-r-15 crm-action-edit text-muted'><i class='fas fa-desktop'></i></a>";
                }


                
            })

            ->make(true);


             // return datatables()->of($data)->make(true);
    


         }

         $subscriptions = DB::table('subscriptions')
            ->select('subscriptions.*', 'users1.name as username', 'users2.name as approvedby')
            ->leftJoin('users as users1', 'users1.id', '=', 'subscriptions.user_id')
            ->leftJoin('users as users2', 'users2.id', '=', 'subscriptions.approved_by')
            ->orderBy('subscriptions.subscription_id', 'DESC');
              
         return view('admin.subscriptions.index', compact('subscriptions'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $submonths = DB::table('submonths')->get();  
        $paymethods = DB::table('paymethods')->get();  
        $regions = DB::table('regions')->get();
        return view('admin.subscriptions.create', compact('submonths', 'paymethods', 'regions'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request, Subscription $subscription)
    {

        $subscription->user_id = $request->user_id; 
        $subscription->description = $request->description; 
        $subscription->subsfrom = $request->subsfrom; 
        $subscription->substo = $request->substo; 
        $subscription->subs_date = date('Y-m-d'); 
        $subscription->payment_method = $request->payment_method; 
        $subscription->prescription_note = $request->prescription_note; 

        $reminder_date = $request->subsfrom; 
        $reminder_date = new DateTime($reminder_date);
        $year = $reminder_date->format('Y');
        $month = $reminder_date->format('m');
        $day = $reminder_date->format('d'); 
        $starttime = "06:00:00";       
        $reminddate = $year. "-". $month. "-". $day. " ". $starttime;
        $reminder_date = date('Y-m-d', strtotime('-3 days', strtotime($reminddate)));
        $subscription->reminder_date = $reminder_date; 
        $subscription->status = "For Approval"; 
        $subscription->save();
        
        $subscription_id = $subscription->subscription_id;

        $regcode = $request->region;
        $provcode = $request->province;
        $towncode = $request->city;
        $brgycode = $request->barangay;
        $region = DB::table('regions')->where('code','=', $regcode)->first();
        $province = DB::table('provinces')->where('code','=', $provcode)->first();
        $town = DB::table('cities')->where('code','=', $towncode)->first();
        $brgy = DB::table('barangays')->where('code','=', $brgycode)->first();

        $addresses = new Address;
        $addresses->type = $request->type; 
        $addresses->address = $request->address; 
        $addresses->brgycode = $brgycode; 
        $addresses->brgy = $brgy->name; 
        $addresses->towncode = $towncode; 
        $addresses->town = $town->name; 
        $addresses->provcode = $provcode; 
        $addresses->province = $province->name; 
        $addresses->regcode = $regcode; 
        $addresses->region = $region->name; 
        $addresses->zipcode = $request->zipcode; 
        $addresses->fulladdress = $request->address. " ". $brgy->name. ", ". $town->name. ", ". $province->name. " ". $request->zipcode; 
        $addresses->userid = $request->user_id; 
        $addresses->save();


        $userid = auth()->user()->id;
        $subsproducttemps = DB::table('subsproducttemps')->where('userid','=', $userid)->get();
            
        foreach($subsproducttemps as $subsproducttemps){
          $subsproducts = new Subsproduct;
          $subsproducts->sku = $subsproducttemps->sku;
          $subsproducts->retail_price = $subsproducttemps->retail_price;
          $subsproducts->qty = $subsproducttemps->qty;
          $subsproducts->amount = $subsproducttemps->amount;
          $subsproducts->subscription_id = $subscription_id;
          $subsproducts->save();
        } 

        if ($request->hasfile('medphoto')) {
            echo "Image Uploaded";
            $uid =  auth()->user()->id;
            $x = 1;
            //$userfolder = "oaslips/" .$refid."/";
            $userfolder = "storage/prescriptions/";
            foreach($request->file('medphoto') as $image)
            {
                $filenameWithExt = $image->getClientOriginalName();
                $extension = $image->getClientOriginalExtension();
                $fileNameToStore = $uid . '_' . $subscription_id . '_' . $x . '.' .$extension;
                $filelocation = $userfolder.''. $subscription_id. $x . '.' .$extension;
                //$image->move(public_path().$userfolder,$fileNameToStore);  
                $path = $image->storeAs('prescriptions', $fileNameToStore, 'public');
                DB::insert('INSERT INTO subsphotos (subscription_id, photo) VALUE (?,?)', [$subscription_id,$fileNameToStore]);
                $x++;
            }
        }         


        $deletetemp = DB::table('subsproducttemps')->where('userid','=', $userid)->delete();        

        return redirect()->route('admin.subscriptions.index'); 
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $subscriptions = DB::table('subscriptions')->where('subscription_id', $id)->first();
        $users = DB::table('users')->where('id', $subscriptions->user_id)->first();  
        $submonths = DB::table('submonths')->get();  
        $paymethods = DB::table('paymethods')->get(); 
        $subsphotos = DB::table('subsphotos')->where('subscription_id', $subscriptions->subscription_id)->get(); 

        return view('admin.subscriptions.show', compact('subscriptions', 'users', 'submonths', 'paymethods', 'subsphotos'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $subscriptions = DB::table('subscriptions')->where('subscription_id', $id)->first();
        $users = DB::table('users')->where('id', $subscriptions->user_id)->first();  
        $submonths = DB::table('submonths')->get();  
        $paymethods = DB::table('paymethods')->get(); 
        $regions = DB::table('regions')->get();
        $subsphotos = DB::table('subsphotos')->where('subscription_id', $id)->get();
        return view('admin.subscriptions.edit', compact('subscriptions', 'users', 'submonths', 'paymethods', 'regions', 'subsphotos'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */

    public function update(Request $request, $id)
    {
        $subscription = Subscription::where('subscription_id', '=', $id)->first(); 
        $subscription->user_id = $request->user_id; 
        $subscription->description = $request->description; 
        $subscription->subsfrom = $request->subsfrom; 
        $subscription->substo = $request->substo; 
        $subscription->subs_date = date('Y-m-d'); 
        $subscription->payment_method = $request->payment_method; 
        $subscription->delivery_date = $request->delivery_date; 
        $subscription->prescription_note = $request->prescription_note; 

        $reminder_date = $request->delivery_date; 
        $reminder_date = new DateTime($reminder_date);
        $year = $reminder_date->format('Y');
        $month = $reminder_date->format('m');
        $day = $reminder_date->format('d'); 
        $starttime = "06:00:00";       
        $reminddate = $year. "-". $month. "-". $day. " ". $starttime;
        $reminder_date = date('Y-m-d', strtotime('-3 days', strtotime($reminddate)));
        $subscription->reminder_date = $reminder_date; 
        $subscription->save();  

        if ($request->hasfile('medphoto')) {
            echo "Image Uploaded";
            $uid =  auth()->user()->id;
            $refid = $id;
            if($filecount = DB::table('subsphotos')->where('subscription_id',$id)->count()){
                $x = $filecount + 1;    
            } else {
                $x = 1;    
            }
            
            //$userfolder = "oaslips/" .$refid."/";
            $refid = $id;
            $userfolder = "storage/prescriptions/";
            foreach($request->file('medphoto') as $image)
            {
                $filenameWithExt = $image->getClientOriginalName();
                $extension = $image->getClientOriginalExtension();
                $fileNameToStore = $uid . '_' . $refid . '_' . $x . '.' .$extension;
                $filelocation = $userfolder.''. $refid. $x . '.' .$extension;
                //$image->move(public_path().$userfolder,$fileNameToStore);  
                $path = $image->storeAs('prescriptions', $fileNameToStore, 'public');
                DB::insert('INSERT INTO subsphotos (subscription_id, photo) VALUE (?,?)', [$id,$fileNameToStore]);
                $x++;
            }
        }






        return redirect()->route('admin.subscriptions.index');      
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */

    public function destroy($id)
    {
        $subsproducts = Subsproduct::where('subscription_id', '=', $id)->delete();
        //
        $reminders = Reminder::where('reminderid', '=', $id)->delete();

        $subsphotos = Subsphoto::where('subscription_id', '=', $id)->get();
        foreach($subsphotos as $subsphotos){

            $name = $subsphotos->photo;
            //$path = $subsphotos->storeAs('prescriptions', $name, 'public');

            //if (File::exists($path)) {
                //File::delete($image_path);
                unlink('storage/prescriptions/'.$name);
                //Subsphoto::delete("prescriptions/{$name}");
            //}
        }

        $subsphotos = Subsphoto::where('subscription_id', '=', $id)->delete();


        Subscription::destroy($id);
        return redirect()->route('admin.subscriptions.index');      
    }


    public function approve(Request $request)
    {

        function add($date_str, $months)
        {
            $date = new DateTime($date_str);

            // We extract the day of the month as $start_day
            $start_day = $date->format('j');

            // We add 1 month to the given date
            $date->modify("+{$months} month");

            // We extract the day of the month again so we can compare
            $end_day = $date->format('j');

            if ($start_day != $end_day)
            {
                // The day of the month isn't the same anymore, so we correct the date
                $date->modify('last day of last month');
            }

            return $date;
        }

        $appby = auth()->user()->id;
        //$users = DB::table('users')->where('id', $appby)->first();

        $id = $request->id;
        $userid = $request->user_id;

        
        $subscription = Subscription::where('subscription_id', '=', $id)->first(); 
        $subscription->status = "Approved"; 
        $subscription->approved_by = $appby; 
        $subscription->subs_activation_date = date('Y-m-d'); 
        $subscription->save();  

        $reminders = new Reminder;
        $reminders->userid = $userid;
        $reminders->title = "Medicine Subscription";
        $reminders->description = "Medicine Subscription";
        
        $reminders->start = $request->subsfrom;
        $start = $request->subsfrom;
        $reminders->end = $start;
        $end = $start;

        $reminders->send_at = $request->send_at;
        $send_at = $request->send_at;
        $reminders->category = "Meds Subscription";
        $reminders->reminderid = $id; 
        $reminders->save();
        $reminderid = $reminders->id;

        //SAVE REMINDER ID
        
        //$reminders2 = Reminder::where('id', '=', $reminderid)->first(); 
        //$reminders2->reminderid = $reminderid; 
        //$reminders2->save(); 

        $start2 = new DateTime($request->subsfrom);
        $end2 = new DateTime($request->substo);
        $interval = $start2->diff($end2);
        $m  = $interval->m;
        $m = $m + 1;
        
 

        //$m = $start2->format('m');
        //$m = 13 - $m;
    

        for($i = 1; $i < $m; $i++) {
            $start = $request->subsfrom;
            $start = add($start, $i);
            $end = $request->subsfrom;
            $end = add($end, $i);
            $send_at = $request->send_at;
            $send_at = add($send_at, $i);

            $reminders = new Reminder;
            $reminders->userid = $userid;
            $reminders->title = "Medicine Subscription";
            $reminders->description = "Medicine Subscription";
            $reminders->start = $start;
            $reminders->end = $end;
            
            $reminders->send_at = $send_at;
            
            $reminders->category = "Meds Subscription";
            $reminders->reminderid = $id;
            $reminders->save();
        }
        

        return redirect()->route('admin.subscriptions.index');      
    }

    public function cancel(Request $request)
    {
        $id = $request->id;

        $appby = auth()->user()->id;
        $users = DB::table('users')->where('id', $appby)->first();
        
        $subscription = Subscription::where('subscription_id', '=', $id)->first(); 
        //if($request->input('action') == "approve") {
        $subscription->status = "Cancelled"; 
        $subscription->subs_cancellation_date = date('Y-m-d'); 

        $subscription->save();  

        $reminders = Reminder::where('reminderid', '=', $id)->delete();

        return redirect()->route('admin.subscriptions.index');      
    }

    public function fetchProvince(Request $request)
    {
        $data['province'] = Province::where("regcode",$request->regcode)->orderBy('name', 'asc')->get(["name", "code"]);
        return response()->json($data);
    }

    public function fetchCity(Request $request)
    {
        $data['cities'] = City::where("provcode", $request->provcode)->orderBy('name', 'asc')->get(["name", "code"]);
        //$data['cities'] = DB::table('cities')->where('provcode', "=", $request->provcode)->get(["name", "code"]);
        return response()->json($data);
    }

    public function fetchBarangay(Request $request)
    {
        $data['barangays'] = Barangay::where("cmcode", $request->cmcode)->orderBy('name', 'asc')->get(["name", "code"]);
        //$data['cities'] = DB::table('cities')->where('provcode', "=", $request->provcode)->get(["name", "code"]);
        return response()->json($data);
    }  


}
