<?php

namespace App\Http\Controllers;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;

use Illuminate\Support\Facades\Notification;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use App\Notifications\AllNotification;
use Illuminate\Bus\Queueable;

use App\Models\Subscription;
use App\Models\Bymonth;


class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        $users = DB::table('users')->get(); 
        $subscriptions = DB::table('subscriptions')->where('status', 'Approved')->get(); 
        $rxproducts = DB::table('rxproducts')->get(); 

//SUBSCRIPTION HIGHCHART #####################################################################################################
        $bymonths = Bymonth::where('repyear', date('Y'))->where('page','Subscription')->get();
        if(count($bymonths) === 0){
            //$bymonths = Bymonth::get();
            $repyear = date('Y');
            DB::table('bymonths')->where('page', 'Subscription')->where('repyear',$repyear)->delete();
            
            for($i = 0; $i < 12; $i++){
                $bymonths = new Bymonth;
                $bymonths->page = "Subscription";
                $bymonths->repyear = date('Y');
                $bymonths->monthno = $i;
                $bymonths->countno = 0;
                $bymonths->save(); 
            }

            $subscribers = Subscription::select(\DB::raw("Month(subs_date) as dhmonth"), \DB::raw("ifnull(count(*),0) as count"))
                        ->whereYear('subs_date', date('Y'))
                        ->where('status', 'Approved')
                        ->groupBy(\DB::raw("Month(subs_date)"))
                        ->get();

            foreach($subscribers as $subscribers){
                $dhmonth = $subscribers->dhmonth;
                $dhmonth = $dhmonth - 1;
                $bymonths = Bymonth::where('page', '=', "Subscription")->where('repyear', date('Y'))->where('monthno',$dhmonth)->first();
                $bymonths->countno = $subscribers->count;
                $bymonths->save();
            } 
        } else {
            $subscribers = Subscription::select(\DB::raw("Month(subs_date) as dhmonth"), \DB::raw("ifnull(count(*),0) as count"))
                        ->whereYear('subs_date', date('Y'))
                        ->where('status', 'Approved')
                        ->whereMonth('subs_date', date('m'))
                        ->groupBy(\DB::raw("Month(subs_date)"))
                        ->get();

            $dhmonth = date('m');
            $dhmonth = $dhmonth - 1;
            $bymonths = Bymonth::where('page', '=', "Subscription")->where('repyear', date('Y'))->where('monthno',$dhmonth)->first();
            $bymonths->countno = $subscribers->count();
            $bymonths->save();
        }


        $subscribers = Bymonth::select('monthno', 'countno')
                    ->where('page', 'Subscription')
                    ->where('repyear', date('Y'))
                    ->pluck('countno', 'monthno');

// END SUBSCRIPTION HIGHCHART #####################################################################################################
//CANCELLED SUBSCRIPTION HIGHCHART #####################################################################################################
        $bymonths = Bymonth::where('repyear', date('Y'))->where('page','CancelledSubscription')->get();
        if(count($bymonths) === 0){
            //$bymonths = Bymonth::get();
            $repyear = date('Y');
            DB::table('bymonths')->where('page', 'CancelledSubscription')->where('repyear',$repyear)->delete();
            
            for($i = 0; $i < 12; $i++){
                $bymonths = new Bymonth;
                $bymonths->page = "CancelledSubscription";
                $bymonths->repyear = date('Y');
                $bymonths->monthno = $i;
                $bymonths->countno = 0;
                $bymonths->save(); 
            }

            $cancelled = Subscription::select(\DB::raw("Month(subs_date) as dhmonth"), \DB::raw("ifnull(count(*),0) as count"))
                        ->whereYear('subs_date', date('Y'))
                        ->where('status', 'Cancelled')
                        ->groupBy(\DB::raw("Month(subs_date)"))
                        ->get();

            foreach($cancelled as $cancelled){
                $dhmonth = $cancelled->dhmonth;
                $dhmonth = $dhmonth - 1;
                $bymonths = Bymonth::where('page', '=', "CancelledSubscription")->where('repyear', date('Y'))->where('monthno',$dhmonth)->first();
                $bymonths->countno = $cancelled->count;
                $bymonths->save();
            } 
        } else {
            $cancelled = Subscription::select(\DB::raw("Month(subs_date) as dhmonth"), \DB::raw("ifnull(count(*),0) as count"))
                        ->whereYear('subs_date', date('Y'))
                        ->where('status', 'Cancelled')
                        ->whereMonth('subs_date', date('m'))
                        ->groupBy(\DB::raw("Month(subs_date)"))
                        ->get();

            $dhmonth = date('m');
            $dhmonth = $dhmonth - 1;
            $bymonths = Bymonth::where('page', '=', "CancelledSubscription")->where('repyear', date('Y'))->where('monthno',$dhmonth)->first();
            $bymonths->countno = $cancelled->count();
            $bymonths->save();
        }


        $cancelled = Bymonth::select('monthno', 'countno')
                    ->where('page', 'CancelledSubscription')
                    ->where('repyear', date('Y'))
                    ->pluck('countno', 'monthno');

// END CANCELLED SUBSCRIPTION HIGHCHART #####################################################################################################




        return view('home', compact('users', 'subscriptions', 'rxproducts', 'subscribers', 'cancelled'));
    }


    public function subscribers(Request $request, Bymonth $bymonths)
    {
    //SUBSCRIBERS
            //dd($request->repyear);
            $repyear = $request->repyear;
            DB::table('bymonths')->where('page', 'Subscription')->where('repyear',$repyear)->delete();
            
            for($i = 0; $i < 12; $i++){
                $bymonths = new Bymonth;
                $bymonths->page = "Subscription";
                $bymonths->repyear = $request->repyear;
                $bymonths->monthno = $i;
                $bymonths->countno = 0;
                $bymonths->save(); 
            }

            $subscribers = Subscription::select(\DB::raw("Month(subs_date) as dhmonth"), \DB::raw("ifnull(count(*),0) as count"))
                        ->whereYear('subs_date', $repyear)
                        ->where('status', 'Approved')
                        ->groupBy(\DB::raw("Month(subs_date)"))
                        ->get();


            foreach($subscribers as $subscribers){
                $dhmonth = $subscribers->dhmonth;
                $dhmonth = $dhmonth - 1;

                $bymonths = Bymonth::where('page', '=', "Subscription")->where('repyear', $repyear)->where('monthno',$dhmonth)->first();
                $bymonths->countno = $subscribers->count;
                $bymonths->repyear = $repyear;
                $bymonths->save();
            } 

        $subscribers = Bymonth::select('monthno', 'countno')
                    ->where('page', 'Subscription')
                    ->where('repyear', $repyear)
                    ->pluck('countno', 'monthno');

    //CANCELLED SUBSCRIBERS


            $repyear = $request->repyear;
            DB::table('bymonths')->where('page', 'CancelledSubscription')->where('repyear',$repyear)->delete();
            
            for($i = 0; $i < 12; $i++){
                $bymonths = new Bymonth;
                $bymonths->page = "CancelledSubscription";
                $bymonths->repyear = $request->repyear;
                $bymonths->monthno = $i;
                $bymonths->countno = 0;
                $bymonths->save(); 
            }

            $cancelled = Subscription::select(\DB::raw("Month(subs_date) as dhmonth"), \DB::raw("ifnull(count(*),0) as count"))
                        ->whereYear('subs_date', $repyear)
                        ->where('status', 'Cancelled')
                        ->groupBy(\DB::raw("Month(subs_date)"))
                        ->get();


            foreach($cancelled as $cancelled){
                $dhmonth = $cancelled->dhmonth;
                $dhmonth = $dhmonth - 1;

                $bymonths = Bymonth::where('page', '=', "CancelledSubscription")->where('repyear', $repyear)->where('monthno',$dhmonth)->first();
                $bymonths->countno = $cancelled->count;
                $bymonths->repyear = $repyear;
                $bymonths->save();
            } 



        $cancelled = Bymonth::select('monthno', 'countno')
                    ->where('page', 'CancelledSubscription')
                    ->where('repyear', $repyear)
                    ->pluck('countno', 'monthno');

        echo $subscribers;
        echo "|";
        echo $cancelled;
         
    }


}
