<?php

namespace App\Http\Controllers\Options;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;

//use App\Exports\DepartmentsExport;
//use App\Imports\DepartmentsImport;
use Maatwebsite\Excel\Facades\Excel;

use App\Models\Paymethod;
use Spatie\Permission\Models\Permission;

use DataTables;

class PaymethodsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
       

         if(request()->ajax())
         {
              if( !empty($request->spaymethod))
              {

                $query = DB::table('paymethods');
                $query = $query->select('*');

                if(!empty($request->spaymethod)) {
                    $query = $query->where('paymethod', 'LIKE',"%{$request->spaymethod}%");
                };

                //$data= $query->get(); 
                $data= $query; 

              }
              else
              {
               $data = DB::table('paymethods')
                 ->select('*');
                 //->get();
              }

             return datatables()->of($data) 
                    
            ->addColumn('action', function ($row) {
                $show = route('options.paymethods.show',$row->id);
                $edit =  route('options.paymethods.edit',$row->id);
                $delete =  route('options.paymethods.destroy',$row->id);
                $token =  csrf_token();                  
                //return "<a href='{$show}' class='btn btn-xs btn-primary'><i class='glyphicon glyphicon-edit'></i> Edit</a>";
                return "<form action='{$delete}' name='deleteform' method='POST' onsubmit=\"return confirm('Are you sure you want to Delete Selected Record?');\" style='display: inline-block;'>".
                        "<input type='hidden' name='_method' value='DELETE'>".
                        "<input type='hidden' name='_token' value='{$token}'>". 
                        "<button type='submit' title = 'Delete' class='crm-action-delete text-muted' style='border:none; background:none; cursor:pointer;'><i class='fas fa-trash'></i></button>".
                    "</form>";
                
            })
            ->editColumn('id', 'ID: {{$id}}')            
            ->removeColumn('password')
            ->make(true);


             // return datatables()->of($data)->make(true);
    


         }

         $paymethods = DB::table('paymethods')
              ->select('*')
              ->orderBy('paymethod', 'ASC')
              ->get();
              
         return view('options.paymethods.index', compact('paymethods'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request, Paymethod $paymethods)
    {
        $paymethods->paymethod = $request->paymethod; 
        $paymethods->save();

        return redirect()->route('options.paymethods.index'); 
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //$submonths = DB::table('submonths')->where('id', $id)->first();
        //$submonth = $submonths->submonth;
        Paymethod::destroy($id);
        //$permissions = DB::table('permissions')->where('element', $element)->delete();

        return redirect()->route('options.paymethods.index');
    }
}
