<?php

namespace App\Http\Controllers\Temp;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Maatwebsite\Excel\Facades\Excel;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Spatie\Permission\Models\Permission;

use App\Jobs\ImportRXProducts;
use Illuminate\Bus\Batch;
use Illuminate\Support\Facades\Bus;
use Throwable;

use App\Models\Rxproducttemp;
use App\Models\Job_batchstat;

use Yajra\Datatables\Facades\Datatables;
use Response;

use Brian2694\Toastr\Facades\Toastr;

class RxproducttempsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {

         $userid = auth()->user()->id;   
         if(request()->ajax())
         {
              if(!empty($request->stranno) || !empty($request->sempno) || !empty($request->sname) || !empty($request->semployid))
              {
                    $query = DB::table('rxproducttemps');
                    $query = $query->select('*');
                    $query = $query->where('userid', '=',$userid);

                    if(!empty($request->ssku)) {
                        $query = $query->where('sku', '=',$request->ssku);
                    };
                    if(!empty($request->sproduct_name)) {
                        $query = $query->where('product_name', '=',$request->sproduct_name);
                    };                                
                    if(!empty($request->svisibility)) {
                        $query = $query->where('visibility', 'LIKE',"%{$request->svisibility}%");
                    };
                    $data= $query; 
              }
              else
              {
                   
                   $data = DB::table('rxproducttemps')
                     ->select('*')
                     ->where('userid', '=',$userid);
              }

             return datatables()->of($data) 

             ->addColumn('action', function ($row) {
                $show = route('temp.rxproducttemps.show', $row->id);
                $edit =  route('temp.rxproducttemps.edit', $row->id);
                $delete =  route('temp.rxproducttemps.destroy', $row->id);
                $token =  csrf_token();   

                    return "<a href='{$edit}' title='View' class='m-r-15 crm-action-edit text-muted'><i class='fas fa-desktop'></i></a> " .
                            "<form action='{$delete}' method='POST' onsubmit=\"return confirm('Are you sure you want to Delete Selected Record?');\" style='display: inline-block;'>".
                                "<input type='hidden' name='_method' value='DELETE'>".
                                "<input type='hidden' name='_token' value='{$token}'>". 
                                "<button type='submit' title = 'Delete' class='crm-action-delete text-muted' style='border:none; background:none; cursor:pointer;'><i class='fas fa-trash-alt'></i></button>".
                            "</form>"; 
             })
            ->make(true);

         }

          $userid = auth()->user()->id;  
          if($batchstatus = DB::table('job_batchstats')->where('userid','=',$userid)->where('tablename','=','rxproducttemps')->orderBy('id', 'DESC')->first()){
                return view('temp.rxproducttemps.index', compact('batchstatus')); 
          }  else {
                return view('temp.rxproducttemps.index');
          }


    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

        $path = resource_path('temp');
        $files = glob("$path/*.csv");

        $header = [];
        foreach($files as $key => $file){
            $data = array_map('str_getcsv', file($file));
            if($key == 0){
                $header = $data[0]; 
                unset($data[0]);
            }

            ImportRXProducts::dispatch($data, $header);

            unlink($file);

           
        }
        //return 'Stored';

        //return redirect()->route('temp.deductiontemps.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    public function import(Request $request) 
    {

        if (request()->has('mycsv')){
            $data = file(request()->mycsv);
            $userid = auth()->user()->id;
            $chunks = array_chunk($data, 1000);
            $header = [];
            $batch = Bus::batch([])->dispatch();
            $id = auth()->user()->id;
            $lastkey = count($chunks);
            $users[] = array($id);
            $chunks=array_merge($chunks,$users);

            foreach($chunks as $key => $chunk){
                $data = array_map('str_getcsv', $chunk);
               
                if($key == 0){
                    $header = $data[0]; 
                    unset($data[0]);
                }
                if($key == $lastkey){
                    $userid = $data[0]; 
                    unset($data[0]);
                }
                $batch->add(new ImportRXProducts($data, $header, $userid));
            }

            $batchstatus = new Job_batchstat;
            $batchstatus->userid = $id;
            $batchstatus->batchid = $batch->id;
            $batchstatus->tablename = "rxproducttemps";
            $batchstatus->save();            
             
            $request->session()->put('key', $batch->id);

            return redirect()->route('rxproductbatchstatus');
            
        } 
            return 'Does not exists';

        
    }   

    public function batch()
    {
        $batchId = request ('id');
        return Bus::findBatch($batchId);

    }

    public function batchstatus()
    {
       $userid = auth()->user()->id;   
      if ($batches = DB::table('job_batchstats')->where('userid', $userid)->where('tablename', 'rxproducttemps')->first()){
          $jobbatches = DB::table('job_batches')->where('id', $batches->batchid)->first();  
          return view('temp.rxproducttemps.batchstatus', compact('jobbatches'));
      }
    } 

    public function batchstatus2()
    {
      $userid = auth()->user()->id;

      if ($batches = DB::table('job_batchstats')->where('userid', $userid)->where('tablename', 'rxproducttemps')->first()){
         $jobbatches = DB::table('job_batches')->where('id', $batches->batchid)->first();  
         return response()->json($jobbatches);
      }
    }  


    public function deletebatches()
    {
        //$adjustments = Adjustment::where('adjid', '=', $id)->first();
        //Payroll::destroy($id);
        $userid = auth()->user()->id;
        if ($batches = DB::table('job_batchstats')->where('userid', $userid)->where('tablename', 'rxproducttemps')->first()){
            DB::table('job_batchstats')->where('userid', $userid)->where('tablename', 'rxproducttemps')->delete();
            DB::table('job_batches')->where('id', $batches->batchid)->delete();
        }


        return redirect()->route('temp.rxproducttemps.index');
    }


    public function deleteall()
    {
        //$adjustments = Adjustment::where('adjid', '=', $id)->first();
        //Payroll::destroy($id);
        $userid = auth()->user()->id;
        if ($batches = DB::table('job_batchstats')->where('userid', $userid)->where('tablename', 'rxproducttemps')->first()){
            DB::table('job_batchstats')->where('userid', $userid)->where('tablename', 'rxproducttemps')->delete();
            DB::table('job_batches')->where('id', $batches->batchid)->delete();
        }

        DB::table('rxproducttemps')->where('userid', $userid)->delete();
        Toastr::warning('Imported RX Products Deleted Successfully :)','Deleted');

        return redirect()->route('temp.rxproducttemps.index');
    }


}
