<?php

namespace App\Jobs;

use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;


use Illuminate\Bus\Batchable;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldBeUnique;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;

use App\Models\Rxproducttemp;
use App\Models\User;

class ImportRXProducts implements ShouldQueue
{
    use Batchable, Dispatchable, InteractsWithQueue, Queueable, SerializesModels;
    protected $user;

    public $data;
    public $header;
    public $userid;


    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct($data, $header, $userid)
    {
        $this->data = $data; 
        $this->header = $header;
        $this->userid = $userid;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle(User $user)
    {
        $userid = $this->userid;
        foreach($this->data as $rxproduct){
          $rxproducts = new Rxproducttemp;
          $rxproducts->userid = $userid;
          $rxproducts->sku = $rxproduct[0];
          $rxproducts->product_name = $rxproduct[1];
          $rxproducts->price = $rxproduct[2];
          $rxproducts->cost_price = $rxproduct[3];
          $rxproducts->retail_price = $rxproduct[4];
          $rxproducts->sale_price = $rxproduct[5];
          $rxproducts->visibility = $rxproduct[6];
          $rxproducts->category = $rxproduct[7];
          $rxproducts->prod_image = $rxproduct[8];
          $rxproducts->save();
        } 
       
    }

    public function failed(Throwable $exception)
    {
        // Send user notification of failure, etc...
    }
}