<?php

namespace App\Widgets;

use Arrilot\Widgets\AbstractWidget;
use Illuminate\Support\Facades\DB;
use App\Notification;
use Auth;

class RecentNotifications extends AbstractWidget
{
    /**
     * The configuration array.
     *
     * @var array
     */
    protected $config = [];
    public $reloadTimeout = 10;

    /**
     * Treat this method as a controller action.
     * Return view() or other content to display.
     */
    public function run()
    {
        //
        $userid = auth()->user()->id;
        $notifications = DB::table('notifications')->where('notifiable_id', $userid)->get();

        return view('widgets.recent_notifications', [
            'config' => $this->config,
            'notifications' => $notifications
        ]);        
    }
}
