<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSubscriptionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('subscriptions', function (Blueprint $table) {
            $table->bigIncrements('subscription_id');
            $table->integer('user_id')->nullable()->unsigned();
            $table->string('description', 100)->nullable();
            $table->string('monthly_subs', 50)->nullable();
            $table->date('subs_date')->nullable();
            $table->date('subs_activation_date')->nullable();
            $table->date('subs_cancellation_date')->nullable();
            $table->string('payment_method', 100)->nullable();
            $table->date('delivery_date')->nullable();
            $table->date('reminder_date')->nullable();
            $table->text('prescription_note')->nullable();
            $table->integer('approved_by')->nullable()->unsigned();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('subscriptions');
    }
}
