@extends('layouts.main') 
@section('title', 'Reminders')
@section('content')
    <!-- push external head elements to head -->
    @push('head')
        <link rel="stylesheet" href="{{ asset('plugins/DataTables/datatables.min.css') }}">
    @endpush
 


    <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <i class="ik ik-bell bg-green"></i>
                        <div class="d-inline">
                            <h5>{{ __('List of Reminders')}}</h5>
                            <span>{{ __('Manage Reminders')}}</span>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="{{route('home')}}"><i class="ik ik-home"></i></a>
                            </li>

                            <li class="breadcrumb-item active" aria-current="page">List of Reminders</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>


        <div class="row">
            <div class="col-md-5">
                <div class="card" >
                    <div class="card-header"><h3>{{ __('Calendar')}}</h3></div>

                    <div class="card-body">
                        <div class="response"></div>
                        <div id='calendar' ></div> 
                    </div>
                </div>
            </div>
            <div class="col-md-7">
                <div class="card" >
                    <div class="card-header"><h3>{{ __('List of Reminders')}}</h3></div>
                    <div class="card-body" >
                        <div class="row">                       

                          <div class="px-1">
                            <button type="button" class="btn btn-primary btn-sm" onclick="window.location.href='{{ route('admin.reminders.create') }}'"><i class="fas fa-edit"></i> Add New Reminder</button>
                          </div>  



                        </div>
                        <br>

                       <div class="row" >
                            <div class="px-1">
                                <fieldset class="form-group position-relative">
                                    <input type="text" class="form-control form-control-sm" placeholder="Name" id= "sname" name="sname">
                                </fieldset>
                            </div> 
                            <div class="px-1">
                                <fieldset class="form-group position-relative">
                                    <input type="text" class="form-control form-control-sm" placeholder="Title" id= "stitle" name="stitle">
                                </fieldset>
                            </div>  
                            <div class="px-1">
                                <fieldset class="form-group position-relative">
                                    <input type="text" class="form-control form-control-sm" placeholder="Description" id= "sdescription" name="sdescription">
                                </fieldset>
                            </div> 
                            <div class="px-1">
                                <fieldset class="form-group position-relative">
                                    <input type="text" class="form-control form-control-sm" placeholder="Delivery Schedule From" id= "startdate" name="startdate" onfocus="(this.type='date')">
                                </fieldset>
                            </div> 
                            <div class="px-1">
                                <fieldset class="form-group position-relative">
                                    <input type="text" class="form-control form-control-sm" placeholder="Delivery Schedule To" id= "enddate" name="enddate" onfocus="(this.type='date')">
                                </fieldset>
                            </div>                             

                    
                        </div>

                    </div>
                    <div class="card-body">
                        <table  id="employee-grid" class="display compact custom" cellspacing="0" cellspacing="0" style="width:100%">
                            <thead>
                            <tr>
                                <th>Action</th>
                                <th>Image</th>
                                <th>Name</th>
                                <th>Title</th>
                                <th>Description</th>
                                <th>Scheduled Date</th>
                            </tr>
                            </thead>
                            <tbody>

                            </tbody>

                        </table>  
                    </div>
                </div>
            </div>

            
        </div>

    </div>


    <!-- push external js -->
    @push('script')
        <!--
        <script src="{{ asset('plugins/DataTables/datatables.min.js') }}"></script>
        <script src="{{ asset('js/datatables.js') }}"></script>
        -->

        <link rel="stylesheet" href="{{ asset('mylib/calendar/css/bootstrap.min.css') }}" />
        <script src="{{ asset('mylib/calendar/js/jquery.min.js') }}"></script>
        <link rel="stylesheet" href="{{ asset('mylib/calendar/css/fullcalendar.css') }}" />
        <script src="{{ asset('mylib/calendar/js/moment.min.js') }}"></script>
        <script src="{{ asset('mylib/calendar/js/fullcalendar.js') }}"></script>
        

        <link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/jquery.dataTables.css') }}"> 
        <link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/buttons.dataTables.min.css') }}"> 

        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/jquery.dataTables.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/dataTables.buttons.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/jszip.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/pdfmake.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/vfs_fonts.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/buttons.html5.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/buttons.colVis.min.js') }}"></script> 


        <script>
        $(document).ready(function(){

        //
        refreshreminders();
        fill_calendar();    

        });
        </script>

        <script>
        function refreshreminders() {

            fill_datatable();
            function fill_datatable(sname = '', stitle = '', sdescription = '', startdate = '', enddate = '' )
            {
                var dataTable = $('#employee-grid').DataTable({
                    //scrollY:        "300px",
                    scrollX:        true,
                    scrollCollapse: true,
                    paging:         true,
                    columnDefs: [
                          { targets: [0], className: "text-center" },
                    ],
                    fixedColumns: true,

                    processing: true,
                    serverSide: true,
                dom: 'Blfrtip',
                buttons: [
                    {
                        extend: 'copyHtml5',
                        exportOptions: {
                            columns: [ 0, ':visible' ]
                        }
                    },
                    {
                        extend: 'excelHtml5',
                        exportOptions: {
                            columns: ':visible'
                        }
                    },
                    {
                        extend: 'csvHtml5',
                        exportOptions: {
                            columns: ':visible'
                        }
                    },            
                    {
                        extend: 'pdfHtml5',
                        exportOptions: {
                            columns: ':visible'
                        }
                    },
                    
                    'colvis'
                ], 
                    "lengthMenu": [[10, 20, 30, 40, 50, 100, -1], [10, 20, 30, 40, 50, 100, "All"]],
                    "pageLength": 10,                  

                    ajax:{
                        url: "{{ route('admin.reminders.index') }}",

                        data:{
                            sname:sname,
                            stitle:stitle,
                            sdescription:sdescription,
                            startdate:startdate,
                            enddate:enddate
                        }
                    },
                    columns: [
                        {data: 'action', name: 'action', orderable: false, searchable: false},
                        { 
                            data:'user_photo',
                            name:'user_photo',
                            render: function (data, type, full, meta) {
                                //return "<img src=\"/storage/employees/" + data + "\" height=\"25\"   alt='No Image'/>";
                                return "<a href=\"/storage/users/" + data + "\" target='_blank'><img src=\"/storage/users/" + data + "\" height=\"25\"   alt='No Image'/></a>";
                            },
                            orderable: false, searchable: false
                        }, 

                        {
                            data:'name',
                            name:'name'
                        },           
                        {
                            data:'title',
                            name:'title'
                        },
                        {
                            data:'description',
                            name:'description'
                        },
                        {
                            data:'start',
                            name:'start'
                        }
                ]



                });


            }
            $('#filter').click(function(){
                var sname = $('#sname').val();
                var stitle = $('#stitle').val();
                var sdescription = $('#sdescription').val();
                var startdate = $('#startdate').val();
                var enddate = $('#enddate').val();
                

                if(sname != '' || stitle != '' || sdescription != '' || startdate != '' || enddate != '')
                {
                    $('#employee-grid').DataTable().destroy();
                    fill_datatable(sname, stitle, sdescription, startdate, enddate);
                }
                else
                {
                    $('#employee-grid').DataTable().destroy();
                    fill_datatable();
                }
            });

            $('#reset').click(function(){
                $('#sname').val('');
                $('#stitle').val('');
                $('#sdescription').val('');
                $('#startdate').val('');
                $('#enddate').val('');
                $('#employee-grid').DataTable().destroy();
                fill_datatable();
            });

        } 

        </script>

        <script>
//########################## CALENDAR
    function fill_calendar()
    {
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        //var empno2 = document.getElementById('empno').value;
        var calendar = $('#calendar').fullCalendar({

            header:{
                left:'prev,next today',
                center:'title',
                right:'month,agendaWeek,agendaDay, list'
            },




            selectable:false,
            selectHelper: true,

            editable: false,

            events: "{{ route('viewreminderscal') }}",
            displayEventTime: true,
            eventColor: 'white',
            eventRender: function (event, element, view) {
                if (event.allDay === 'true') {
                    event.allDay = true;
                } else {
                    event.allDay = false;
                }

            },

            eventAfterRender: function (event, element, view, category) {

                if (event.category == "Meds Subscription") {
                    element.css('background-color', '#dc3545');
                    element.css('color', 'white');
                } 

            },


        });
    }

    function displayMessage(message) {
        $(".response").html("<div class='success'>"+message+"</div>");
        setInterval(function() { $(".success").fadeOut(); }, 1000);
    }
//########################## END CALENDAR
        </script>
 

<script>

function doSomething(){
document.getElementById('id_confrmdiv').style.display="block"; //this is the replace of this line


document.getElementById('id_truebtn').onclick = function(){
   //do your delete operation
    alert('true');
};

document.getElementById('id_falsebtn').onclick = function(){
     alert('false');
   return false;
};
}
</script>

    @endpush
@endsection
      
