@extends('layouts.main') 
@section('title', 'Payment Methods')
@section('content')
    <!-- push external head elements to head -->
    @push('head')
        <link rel="stylesheet" href="{{ asset('plugins/DataTables/datatables.min.css') }}">
    @endpush
 


    <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <i class="fas fa-wallet bg-green"></i>
                        <div class="d-inline">
                            <h5>{{ __('List of Payment Methods')}}</h5>
                            <span>{{ __('Manage Payment Methods')}}</span>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="{{route('home')}}"><i class="ik ik-home"></i></a>
                            </li>

                            <li class="breadcrumb-item active" aria-current="page">Options</li>
                            <li class="breadcrumb-item active" aria-current="page">List of Payment Methods</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>


        <div class="row">
            <div class="col-md-3">
                <div class="card">
                    <div class="card-header"><h3>{{ __('Add New Payment Method')}}</h3></div>
                    <div class="card-body">
                        <div class="row">

                            <div class="col-md-12">
                                <div class="form-group">
                                    <label for="exampleInputName1">{{ __('Subscription Month')}}</label>
                                    <input type="text" class="form-control form-control-sm" id="paymethod" name="paymethod"  placeholder="Payment Method" maxlength="45" required>
                                </div>
                                <button type="button" id="addpaymethod" class="btn btn-primary btn-block mr-2" onclick="addPayMethod();">{{ __('Add Payment Method')}}</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-9">
                <div class="card">
                    <div class="card-header"><h3>{{ __('List of Payment Method')}}</h3></div>
                    <div class="card-body">


                       <div class="row">
                            <div class="px-1">
                                <fieldset class="form-group position-relative">
                                    <input type="text" class="form-control form-control-sm" placeholder="Payment Method" id= "spaymethod" name="spaymethod">
                                </fieldset>
                            </div>                          

                            <div class="px-1" >

                                <fieldset class="form-group position-relative">

                                    <button type = "button" class="btn-sm btn-primary" name ="filter" id = "filter"><i class="icofont icofont-job-search"></i> Search</button>
                                    <button type = "button" class="btn-sm btn-warning" name ="reset" id = "reset"><i class="icofont icofont-ui-rotation"></i> Show All</button>

                                </fieldset>
                            </div>  
                    
                        </div>

                    </div>
                    <div class="card-body">
                        <table  id="employee-grid" class="display compact custom" cellspacing="0" cellspacing="0" style="width:100%">
                            <thead>
                            <tr>
                                <th>Action</th>
                                <th>Payment Method</th>
                            </tr>
                            </thead>
                            <tbody>

                            </tbody>

                        </table>  
                    </div>
                </div>
            </div>
        </div>

    </div>


    <!-- push external js -->
    @push('script')
        <!--
        <script src="{{ asset('plugins/DataTables/datatables.min.js') }}"></script>
        <script src="{{ asset('js/datatables.js') }}"></script>
        -->

        <link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/jquery.dataTables.css') }}"> 
        <link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/buttons.dataTables.min.css') }}"> 

        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/jquery.dataTables.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/dataTables.buttons.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/jszip.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/pdfmake.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/vfs_fonts.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/buttons.html5.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/buttons.colVis.min.js') }}"></script> 


        <script>
        $(document).ready(function(){
        refreshpaymethods();

        });
        </script>

        <script>
        function refreshpaymethods() {

            fill_datatable();
            function fill_datatable(spaymethod = '')
            {
                var dataTable = $('#employee-grid').DataTable({
                    //scrollY:        "300px",
                    scrollX:        true,
                    scrollCollapse: true,
                    paging:         true,
                    columnDefs: [
                          { targets: [0], className: "text-center" },
                    ],
                    fixedColumns: true,

                    processing: true,
                    serverSide: true,
                dom: 'Blfrtip',
                buttons: [
                    {
                        extend: 'copyHtml5',
                        exportOptions: {
                            columns: [ 0, ':visible' ]
                        }
                    },
                    {
                        extend: 'excelHtml5',
                        exportOptions: {
                            columns: ':visible'
                        }
                    },
                    {
                        extend: 'csvHtml5',
                        exportOptions: {
                            columns: ':visible'
                        }
                    },            
                    {
                        extend: 'pdfHtml5',
                        exportOptions: {
                            columns: ':visible'
                        }
                    },
                    
                    'colvis'
                ], 
                    "lengthMenu": [[10, 20, 30, 40, 50, 100, -1], [10, 20, 30, 40, 50, 100, "All"]],
                    "pageLength": 10,                  

                    ajax:{
                        url: "{{ route('options.paymethods.index') }}",

                        data:{
                            spaymethod:spaymethod
                        }
                    },
                    columns: [
                        {data: 'action', name: 'action', orderable: false, searchable: false},

                        {
                            data:'paymethod',
                            name:'paymethod'
                        }             
                        


                ]



                });


            }
            $('#filter').click(function(){
                var spaymethod = $('#spaymethod').val();
                

                if(spaymethod != '')
                {
                    $('#employee-grid').DataTable().destroy();
                    fill_datatable(spaymethod);
                }
                else
                {
                    $('#employee-grid').DataTable().destroy();
                    fill_datatable();
                }
            });

            $('#reset').click(function(){
                $('#spaymethod').val('');
                $('#employee-grid').DataTable().destroy();
                fill_datatable();
            });

        } 

        </script>

        <script>    
        function addPayMethod() {

            if($('#paymethod').val() == ""){//check leave type
                alert('Please Enter Payment Method to Continue!');
            }else{
                            var ok = confirm("Are you sure you want to Add Payment Method?");
                            if(ok){
                                $.ajax({
                                    url: "{{ route('options.paymethods.store') }}",
                                    dataType:'JSON',
                                    data: {
                                        _token:"{{csrf_token()}}",
                                        paymethod: $('#paymethod').val()
                                    },
                                    type: "POST",

                                    success: function(data){
                                    
                                    data = $.trim(data);
                                       
                                    document.getElementById('paymethod').value = "";
                                    $('#employee-grid').DataTable().destroy();
                                    refreshpaymethods();
                                        if(data === "SUCCESS"){
                                            alert("Form has been submitted!");
                                            location.reload(true);
                                            //window.location.reload();
                                        } //else{alert(data);}
                                    }
                                });
                            }

                        //} else{alert(data);}


            }



        }
        </script>
    @endpush
@endsection
      
