@extends('layouts.noheader') 
@section('title', 'Users List')
@section('content')
    <!-- push external head elements to head -->
    @push('head')
        <link rel="stylesheet" href="{{ asset('plugins/DataTables/datatables.min.css') }}">
    @endpush
 


    <div class="container-fluid">



        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header"><h3>{{ __('List of Users')}}</h3></div>
                    <div class="card-body">

                       <div class="row">
                            <div class="px-1">
                                <fieldset class="form-group position-relative">
                                    <input type="text" class="form-control form-control-sm" placeholder="Name" id= "sname" name="sname">
                                </fieldset>
                            </div> 
                            <div class="px-1">
                                <fieldset class="form-group position-relative">
                                    <input type="text" class="form-control form-control-sm" placeholder="Email Address" id= "semail" name="semail">
                                </fieldset>
                            </div>  

                            <div class="px-1" >

                                <fieldset class="form-group position-relative">

                                    <button type = "button" class="btn-sm btn-primary" name ="filter" id = "filter"><i class="icofont icofont-job-search"></i> Search</button>
                                    <button type = "button" class="btn-sm btn-warning" name ="reset" id = "reset"><i class="icofont icofont-ui-rotation"></i> Show All</button>

                                </fieldset>
                            </div>  
                    
                        </div>

                    </div>
                    <div class="card-body">
                        <table  id="employee-grid" class="display compact custom" cellspacing="0" cellspacing="0" style="width:100%">
                            <thead>
                            <tr>
                                <th>Action</th>
                                <th>Photo</th>
                                <th>ID</th>
                                <th>Name</th>
                                <th>Email</th>
                            </tr>
                            </thead>
                            <tbody>

                            </tbody>

                        </table>  
                    </div>
                </div>
            </div>
        </div>

    </div>


    <!-- push external js -->
    @push('script')
        <!--
        <script src="{{ asset('plugins/DataTables/datatables.min.js') }}"></script>
        <script src="{{ asset('js/datatables.js') }}"></script>
        -->

        <link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/jquery.dataTables.css') }}"> 
        <link rel="stylesheet" type="text/css" href="{{ asset('mylib/css/buttons.dataTables.min.css') }}"> 

        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/jquery.dataTables.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/dataTables.buttons.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/jszip.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/pdfmake.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/vfs_fonts.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/buttons.html5.min.js') }}"></script>
        <script type="text/javascript" language="javascript" src="{{ asset('mylib/js/buttons.colVis.min.js') }}"></script> 


        <script>
        $(document).ready(function(){
        refreshsubscription();

        });
        </script>

        <script>
        function refreshsubscription() {

            fill_datatable();
            function fill_datatable(sname = '', semail = '')
            {
                var dataTable = $('#employee-grid').DataTable({
                    //scrollY:        "300px",
                    scrollX:        true,
                    scrollCollapse: true,
                    paging:         true,
                    columnDefs: [
                          { targets: [0], className: "text-center" },
                    ],
                    fixedColumns: true,

                    processing: true,
                    serverSide: true,
                dom: 'Blfrtip',
                buttons: [
                    {
                        extend: 'copyHtml5',
                        exportOptions: {
                            columns: [ 0, ':visible' ]
                        }
                    },
                    {
                        extend: 'excelHtml5',
                        exportOptions: {
                            columns: ':visible'
                        }
                    },
                    {
                        extend: 'csvHtml5',
                        exportOptions: {
                            columns: ':visible'
                        }
                    },            
                    {
                        extend: 'pdfHtml5',
                        exportOptions: {
                            columns: ':visible'
                        }
                    },
                    
                    'colvis'
                ], 
                    "lengthMenu": [[10, 20, 30, 40, 50, 100, -1], [10, 20, 30, 40, 50, 100, "All"]],
                    "pageLength": 10,                  

                    ajax:{
                        url: "{{ route('tablelist.allusers.index') }}",

                        data:{
                            sname:sname,
                            semail:semail
                        }
                    },
                    columns: [
                        {data: 'action', name: 'action', orderable: false, searchable: false},
                        {
                            data:'user_photo',
                            name:'user_photo',
                            render: function (data, type, full, meta) {
                                //return "<img src=\"/storage/employees/" + data + "\" height=\"25\"   alt='No Image'/>";
                                return "<a href=\"/storage/users/" + data + "\" target='_blank'><img src=\"/storage/users/" + data + "\" height=\"25\"   alt='No Image'/></a>";
                            },
                            orderable: false, searchable: false
                        },  
                        {
                            data:'id',
                            name:'id'
                        }, 

                        {
                            data:'name',
                            name:'name'
                        },           
                        {
                            data:'email',
                            name:'email'
                        }
                ]



                });


            }
            $('#filter').click(function(){
                var sname = $('#sname').val();
                var semail = $('#semail').val();
                

                if(sname != '' || semail != '')
                {
                    $('#employee-grid').DataTable().destroy();
                    fill_datatable(sname, semail);
                }
                else
                {
                    $('#employee-grid').DataTable().destroy();
                    fill_datatable();
                }
            });

            $('#reset').click(function(){
                $('#sname').val('');
                $('#semail').val('');

                $('#employee-grid').DataTable().destroy();
                fill_datatable();
            });

        } 

        </script>
        <script language="javascript">
        function toggle(source) {
          //alert(source.value);    
          checkboxes = document.getElementsByName('con').value;
          var str = source.value;
          var array = str.split('|');
          window.opener.document.getElementById('user_id').value=array[0];
          window.opener.document.getElementById('name').value=array[1];

          window.close(); 
           window.opener.refreshdependents(); 
          //for(var i=0, n=checkboxes.length;i<n;i++) {
           // checkboxes[i].checked = source.checked;
          //}
        }   



        </script> 
 
    @endpush
@endsection
      
