 
<?php $__env->startSection('title', 'RX Products'); ?>
<?php $__env->startSection('content'); ?>
    <!-- push external head elements to head -->
    <?php $__env->startPush('head'); ?>
        <link rel="stylesheet" href="<?php echo e(asset('plugins/DataTables/datatables.min.css')); ?>">
    <?php $__env->stopPush(); ?>
 


    <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <i class="fas fa-capsules bg-green"></i>
                        <div class="d-inline">
                            <h5><?php echo e(__('List of RX Products')); ?></h5>
                            <span><?php echo e(__('Manage RX Products')); ?></span>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="<?php echo e(route('home')); ?>"><i class="ik ik-home"></i></a>
                            </li>

                            <li class="breadcrumb-item active" aria-current="page">List of RX Products</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>


        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header"><h3><?php echo e(__('List of RX Products')); ?></h3></div>
                    <div class="card-body">
                        <div class="row">                       

                          <div class="px-1">
                            <button type="button" class="btn btn-primary btn-sm" onclick="window.location.href='<?php echo e(route('admin.rxproducts.create')); ?>'"><i class="fas fa-edit"></i> Add New RX Product</button>
                          </div>  

                          <div class="px-0">
                            <?php if(!empty($batchstatus)): ?>
                            <button type="button" name ="importbtn" id = "importbtn" class="btn btn-default btn-sm" onclick="window.location.href='<?php echo e(url('rxproductbatchstatus')); ?>'"><i class="fas fa-file-excel"></i> Check Pending Jobs</button>
                            <?php else: ?>
                            <button type="button" name ="importbtn" id = "importbtn" class="btn btn-default btn-sm" onclick="window.location.href='<?php echo e(url('rxproductsimportview')); ?>'"><i class="fas fa-file-excel"></i> Import CSV Update</button>
                            <?php endif; ?>
                          </div>           




                        </div>
                        <br>

                       <div class="row">
                            <div class="px-1">
                                <fieldset class="form-group position-relative">
                                    <input type="text" class="form-control form-control-sm" placeholder="SKU" id= "ssku" name="ssku">
                                </fieldset>
                            </div> 
                            <div class="px-1">
                                <fieldset class="form-group position-relative">
                                    <input type="text" class="form-control form-control-sm" placeholder="Product Name" id= "sproduct_name" name="sproduct_name">
                                </fieldset>
                            </div>  
                            <div class="px-1">
                                <fieldset class="form-group position-relative">
                                  <select class="form-control" id="svisibility" name='svisibility' style="width:150px;">
                                      <option value="">Select Visibility</option>
                                      <option value="Y">Visible</option>
                                      <option value="N">Hidden</option>
                                  </select>
                                </fieldset>
                            </div>  

                            <div class="px-1" >

                                <fieldset class="form-group position-relative">

                                    <button type = "button" class="btn-sm btn-primary" name ="filter" id = "filter"><i class="icofont icofont-job-search"></i> Search</button>
                                    <button type = "button" class="btn-sm btn-warning" name ="reset" id = "reset"><i class="icofont icofont-ui-rotation"></i> Show All</button>

                                </fieldset>
                            </div>  
                    
                        </div>

                    </div>
                    <div class="card-body">
                        <table  id="employee-grid" class="display compact custom" cellspacing="0" cellspacing="0" style="width:100%">
                            <thead>
                            <tr>
                                <th>Action</th>
                                <th>Image</th>
                                <th>SKU</th>
                                <th>Product Name</th>
                                <th>Price</th>
                                <th>Cost price</th>
                                <th>Retail Price</th>
                                <th>Sale Price</th>
                                <th>Visibility</th>
                            </tr>
                            </thead>
                            <tbody>

                            </tbody>

                        </table>  
                    </div>
                </div>
            </div>
        </div>

    </div>


    <!-- push external js -->
    <?php $__env->startPush('script'); ?>
        <!--
        <script src="<?php echo e(asset('plugins/DataTables/datatables.min.js')); ?>"></script>
        <script src="<?php echo e(asset('js/datatables.js')); ?>"></script>
        -->

        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('mylib/css/jquery.dataTables.css')); ?>"> 
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('mylib/css/buttons.dataTables.min.css')); ?>"> 

        <script type="text/javascript" language="javascript" src="<?php echo e(asset('mylib/js/jquery.dataTables.min.js')); ?>"></script>
        <script type="text/javascript" language="javascript" src="<?php echo e(asset('mylib/js/dataTables.buttons.min.js')); ?>"></script>
        <script type="text/javascript" language="javascript" src="<?php echo e(asset('mylib/js/jszip.min.js')); ?>"></script>
        <script type="text/javascript" language="javascript" src="<?php echo e(asset('mylib/js/pdfmake.min.js')); ?>"></script>
        <script type="text/javascript" language="javascript" src="<?php echo e(asset('mylib/js/vfs_fonts.js')); ?>"></script>
        <script type="text/javascript" language="javascript" src="<?php echo e(asset('mylib/js/buttons.html5.min.js')); ?>"></script>
        <script type="text/javascript" language="javascript" src="<?php echo e(asset('mylib/js/buttons.colVis.min.js')); ?>"></script> 


        <script>
        $(document).ready(function(){
        refreshsubscription();

        });
        </script>

        <script>
        function refreshsubscription() {

            fill_datatable();
            function fill_datatable(ssku = '', sproduct_name = '', svisibility = '')
            {
                var dataTable = $('#employee-grid').DataTable({
                    //scrollY:        "300px",
                    scrollX:        true,
                    scrollCollapse: true,
                    paging:         true,
                    columnDefs: [
                          { targets: [0], className: "text-center" },
                    ],
                    fixedColumns: true,

                    processing: true,
                    serverSide: true,
                dom: 'Blfrtip',
                buttons: [
                    {
                        extend: 'copyHtml5',
                        exportOptions: {
                            columns: [ 0, ':visible' ]
                        }
                    },
                    {
                        extend: 'excelHtml5',
                        exportOptions: {
                            columns: ':visible'
                        }
                    },
                    {
                        extend: 'csvHtml5',
                        exportOptions: {
                            columns: ':visible'
                        }
                    },            
                    {
                        extend: 'pdfHtml5',
                        exportOptions: {
                            columns: ':visible'
                        }
                    },
                    
                    'colvis'
                ], 
                    "lengthMenu": [[10, 20, 30, 40, 50, 100, -1], [10, 20, 30, 40, 50, 100, "All"]],
                    "pageLength": 10,                  

                    ajax:{
                        url: "<?php echo e(route('admin.rxproducts.index')); ?>",

                        data:{
                            ssku:ssku,
                            sproduct_name:sproduct_name,
                            svisibility:svisibility
                        }
                    },
                    columns: [
                        {data: 'action', name: 'action', orderable: false, searchable: false},
                        {
                            data:'prod_image',
                            name:'prod_image',
                            render: function (data, type, full, meta) {
                                //return "<img src=\"/storage/employees/" + data + "\" height=\"25\"   alt='No Image'/>";
                                return "<a href=\"https://stjosephdrug.com/product_images/" + data + "\" target='_blank'><img src=\"https://stjosephdrug.com/product_images/" + data + "\" height=\"25\"   alt='No Image'/></a>";
                            },
                            orderable: false, searchable: false
                        },  

                        {
                            data:'sku',
                            name:'sku'
                        },           
                        {
                            data:'product_name',
                            name:'product_name'
                        },
                        {
                            data:'price',
                            name:'price'
                        },
                        {
                            data:'cost_price',
                            name:'cost_price'
                        },
                        {
                            data:'retail_price',
                            name:'retail_price'
                        },
                        {
                            data:'sale_price',
                            name:'sale_price'
                        },
                        {
                            data:'visibility',
                            name:'visibility'
                        },

                        


                ]



                });


            }
            $('#filter').click(function(){
                var ssku = $('#ssku').val();
                var sproduct_name = $('#sproduct_name').val();
                var svisibility = $('#svisibility').val();
                

                if(ssku != '' || sproduct_name != '' || svisibility != '')
                {
                    $('#employee-grid').DataTable().destroy();
                    fill_datatable(ssku, sproduct_name, svisibility);
                }
                else
                {
                    $('#employee-grid').DataTable().destroy();
                    fill_datatable();
                }
            });

            $('#reset').click(function(){
                $('#ssku').val('');
                $('#sproduct_name').val('');
                $('#svisibility').val('');
                $('#employee-grid').DataTable().destroy();
                fill_datatable();
            });

        } 

        </script>

 
    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>
      

<?php echo $__env->make('layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\meds\resources\views/admin/rxproducts/index.blade.php ENDPATH**/ ?>