 
<?php $__env->startSection('title', 'Edit RX Product'); ?>
<?php $__env->startSection('content'); ?>

    <!-- push external head elements to head -->
    <?php $__env->startPush('head'); ?>
        <link rel="stylesheet" href="<?php echo e(asset('plugins/select2/dist/css/select2.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('plugins/summernote/dist/summernote-bs4.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('plugins/mohithg-switchery/dist/switchery.min.css')); ?>">
    <?php $__env->stopPush(); ?>

    <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <i class="ik ik-user-plus bg-blue"></i>
                        <div class="d-inline">
                            <h5><?php echo e(__('Edit RX Product')); ?></h5>
                            <span><?php echo e(__('Edit RX Product')); ?></span>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="<?php echo e(route('home')); ?>"><i class="ik ik-home"></i></a>
                            </li>
                            <li class="breadcrumb-item"><a href="<?php echo e(route('admin.rxproducts.index')); ?>"><?php echo e(__('List of RX Product')); ?></a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?php echo e(__('Edit RX Product')); ?></li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>



            <div class="row">



                <div class="col-md-6">
                    <div class="card">
                        <div class="card-header"><h3><?php echo e(__('RX Product Information')); ?></h3></div>
                        <div class="card-body">
                            <div class="row">

                                <div class="col-md-12">
                                    <div class="row">
                                        <div class="col-sm-3">
                                            <!-- text input -->
                                            <div class="form-group">
                                              <label for="exampleInputName1"><?php echo e(__('SKU')); ?></label>
                                              <input type="text" class="form-control" id="sku" name="sku" placeholder="SKU" value="<?php echo e($rxproducts->sku); ?>" readonly>
                                            </div>
                                        </div>
                                        <div class="col-sm-9">
                                            <div class="form-group">
                                                <label>Product Name</label>
                                                <input type="text" class="form-control" id="product_name" name="product_name" placeholder="Product Name" value="<?php echo e($rxproducts->product_name); ?>" readonly>
                                            </div>
                                        </div>
                                    </div>   
                                    <div class="row">
                                        <div class="col-sm-6">
                                            <!-- text input -->
                                            <div class="form-group">
                                              <label for="exampleInputName1"><?php echo e(__('Price')); ?></label>
                                              <input type="number" class="form-control" id="price" name="price" placeholder="0.00" style="text-align: right;" value="<?php echo e($rxproducts->price); ?>" readonly>
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label>Cost Price</label>
                                                <input type="number" class="form-control" id="cost_price" name="cost_price" placeholder="0.00" style="text-align: right;" value="<?php echo e($rxproducts->cost_price); ?>"  readonly>
                                            </div>
                                        </div>
                                    </div>  
                                    <div class="row">
                                        <div class="col-sm-6">
                                            <!-- text input -->
                                            <div class="form-group">
                                              <label for="exampleInputName1"><?php echo e(__('Retail Price')); ?></label>
                                              <input type="number" class="form-control" id="retail_price" name="retail_price" placeholder="0.00" style="text-align: right;" value="<?php echo e($rxproducts->retail_price); ?>"  readonly>
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label>Sale Price</label>
                                                <input type="number" class="form-control" id="sale_price" name="sale_price" placeholder="0.00" style="text-align: right;" value="<?php echo e($rxproducts->sale_price); ?>" readonly>
                                            </div>
                                        </div>
                                    </div>  
                                    <div class="form-group">
                                        <label for="exampleInputName1"><?php echo e(__('Category')); ?></label>
                                        <textarea class="form-control" id="category" name = "category" rows="3" readonly><?php echo e($rxproducts->category); ?></textarea>
                                    </div>

                                    <div class="row">
                                        <div class="col-sm-9">
                                            <!-- text input -->
                                            <div class="form-group">
                                              <label for="exampleInputName1"><?php echo e(__('Product Image')); ?></label>
                                              <input type="text" class="form-control" id="prod_image" name="prod_image" placeholder="Product Image" value="<?php echo e($rxproducts->prod_image); ?>" readonly>
                                            </div>
                                        </div>
                                        <div class="col-sm-3">
                                            <div class="form-group">
                                                <label>Visibility</label>
                                                <?php 
                                                  if($rxproducts->visibility == "Y"){
                                                    $visibility = "Visible";
                                                  } else {
                                                    $visibility = "Hidden";
                                                  } 
                                                ?>
                                                <select name="visibility" id="visibility" class="form-control select2" value="<?php echo e($rxproducts->sku); ?>" disabled>
                                                    <option value="<?php echo e($rxproducts->visibility); ?>"><?php echo e($visibility); ?></option>
                                                    <option value="Y">Visible</option>
                                                    <option value="N">Hidden</option>
                                                </select> 
                                            </div>
                                        </div>
                                    </div> 


                                    <button type="button" class="btn btn-success" onclick="window.location.href='<?php echo e(route('admin.rxproducts.index')); ?>'"><?php echo e(__('Back to List')); ?></button>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>


            </div>

        
    </div>

    <!-- push external js -->
    <?php $__env->startPush('script'); ?>
        <script src="<?php echo e(asset('plugins/select2/dist/js/select2.min.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/summernote/dist/summernote-bs4.min.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.min.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/jquery.repeater/jquery.repeater.min.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/mohithg-switchery/dist/switchery.min.js')); ?>"></script>
      
        <script src="<?php echo e(asset('js/form-advanced.js')); ?>"></script>

        <script>
        function validateForm() {

          
          if(document.getElementById('sku').value == ""){
              alert("Please Enter SKU to Continue!");
               return false;
          }
          if(document.getElementById('product_name').value == ""){
              alert("Please Enter Product Name to Continue!");
               return false;
          }
          if(document.getElementById('price').value == ""){
              alert("Please Enter Price to Continue!");
               return false;
          }          
          if(document.getElementById('cost_price').value == ""){
              alert("Please Enter Cost Price to Continue!");
               return false;
          }
          if(document.getElementById('retail_price').value == ""){
              alert("Please Enter Retail Price to Continue!");
               return false;
          }  
          if(document.getElementById('sale_price').value == ""){
              alert("Please Enter Sale Price to Continue!");
               return false;
          }  
          if(document.getElementById('visibility').value == ""){
              alert("Please Select Visibility to Continue!");
               return false;
          } 
          
          var ok = confirm("Are you sure you want Save Record?");
          if(ok){  
            return true; 
          } else {  
            return false; 
          }
        }
        </script>

        <script language="javascript"> 
        function openWindow() { 
          window.open("<?php echo e(route('tablelist.allusers.index')); ?>", "_blank", "toolbar=yes, scrollbars=yes, resizable=yes, top=100, left=200, width=1200, height=650"); 
        } 
        </script>    

        <script>
        function cleartext1() {
          document.getElementById('user_id').value = "";
          document.getElementById('name').value = "";
        }
        </script>

    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>
    

<?php echo $__env->make('layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\meds\resources\views/admin/rxproducts/show.blade.php ENDPATH**/ ?>