 
<?php $__env->startSection('title', 'New User'); ?>
<?php $__env->startSection('content'); ?>

    <!-- push external head elements to head -->
    <?php $__env->startPush('head'); ?>
        <link rel="stylesheet" href="<?php echo e(asset('plugins/select2/dist/css/select2.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('plugins/summernote/dist/summernote-bs4.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('plugins/mohithg-switchery/dist/switchery.min.css')); ?>">
    <?php $__env->stopPush(); ?>

    <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <i class="ik ik-user-plus bg-blue"></i>
                        <div class="d-inline">
                            <h5><?php echo e(__('New User')); ?></h5>
                            <span><?php echo e(__('Add New User')); ?></span>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="<?php echo e(route('home')); ?>"><i class="ik ik-home"></i></a>
                            </li>
                            <li class="breadcrumb-item"><a href="<?php echo e(route('admin.users.index')); ?>"><?php echo e(__('List of Users')); ?></a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?php echo e(__('New User')); ?></li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>

        <div class="row" style="display: none;">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <h3><?php echo e(__('Switches')); ?></h3>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-sm-12 col-xl-4 mb-30">
                                <h4 class="sub-title"><?php echo e(__('Single Switche')); ?></h4>
                                <input type="checkbox" class="js-single" checked />
                            </div>
                            <div class="col-sm-12 col-xl-4 mb-30">
                                <h4 class="sub-title"><?php echo e(__('Multiple Switches')); ?></h4>
                                <input type="checkbox" class="js-switch" checked />
                                <input type="checkbox" class="js-switch" checked />
                                <input type="checkbox" class="js-switch" checked />
                            </div>
                            <div class="col-sm-12 col-xl-4 mb-30">
                                <h4 class="sub-title"><?php echo e(__('Enable Disable Switches')); ?></h4>
                                <input type="checkbox" class="js-dynamic-state" checked />
                                <button class="btn btn-primary js-dynamic-enable"><?php echo e(__('Enable')); ?></button>
                                <button class="btn btn-inverse js-dynamic-disable"><?php echo e(__('Disable')); ?></button>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-8">
                                <h4 class="sub-title"><?php echo e(__('Color Switches')); ?></h4>
                                <input type="checkbox" class="js-default" checked />
                                <input type="checkbox" class="js-primary" checked />
                                <input type="checkbox" class="js-success" checked />
                                <input type="checkbox" class="js-info" checked />
                                <input type="checkbox" class="js-warning" checked />
                                <input type="checkbox" class="js-danger" checked />
                                <input type="checkbox" class="js-inverse" checked />
                            </div>
                            <div class="col-sm-4">
                                <h4 class="sub-title"><?php echo e(__('Switch Sizes')); ?></h4>
                                <input type="checkbox" class="js-large" checked />
                                <input type="checkbox" class="js-medium" checked />
                                <input type="checkbox" class="js-small" checked />
                            </div>
                        </div>
                    </div>
                </div>





            </div>
        </div>
        <form method="post" action="<?php echo e(route('admin.users.store')); ?>" enctype="multipart/form-data" onsubmit="return validateForm()">
            <input type="hidden" class="form-control form-control-sm" id= "_token" name="_token" value="<?php echo e(csrf_token()); ?>">

            <div class="row">



                <div class="col-md-6">
                    <div class="card">
                        <div class="card-header"><h3><?php echo e(__('User Information')); ?></h3></div>
                        <div class="card-body">
                            <div class="row">

                                <div class="col-md-12">

                                    <div class="form-group">
                                        <label for="exampleInputName1"><?php echo e(__('First Name')); ?></label>
                                        <input type="text" class="form-control" id="fname" name="fname" placeholder="First Name" required>
                                    </div>
                                    <div class="form-group">
                                        <label for="exampleInputName1"><?php echo e(__('Middle Name')); ?></label>
                                        <input type="text" class="form-control" id="mname" name="mname" placeholder="Middle Name" required>
                                    </div>
                                    <div class="form-group">
                                        <label for="exampleInputName1"><?php echo e(__('Last Name')); ?></label>
                                        <input type="text" class="form-control" id="lname" name="lname" placeholder="Last Name" required>
                                    </div>
                                    <div class="row">
                                        <div class="col-sm-6">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>Mobile Number</label>
                                                <input type="text" class="form-control form-control-sm" id="mobilenumber" name="mobilenumber" placeholder="Mobile Number" maxlength="15" required>
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label>Phone Number</label>
                                                <input type="text" class="form-control form-control-sm" id="phonenumber" name="phonenumber" placeholder="Phone Number" maxlength="20">  
                                            </div>
                                        </div>
                                    </div> 
                                    <div class="row">
                                        <div class="col-sm-6">
                                            <!-- text input -->
                                            <div class="form-group">
                                                <label>Birth Date</label>
                                                <input type="date" class="form-control form-control-sm" id="birthdate" name="birthdate" placeholder="Birth Date" required>
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label>Birth Place</label>
                                                <input type="text" class="form-control form-control-sm" id="phonenumber" name="phonenumber" placeholder="Birth Place" maxlength="100" required>  
                                            </div>
                                        </div>
                                    </div> 
                                    <div class="form-group">
                                      <label>Upload Photo</label>
                                      <input type="file" class="form-control form-control-sm" id="user_photo" name="user_photo" style="height:35px" accept=".jpg, .png">
                                    </div>  

                       

                                </div>
                            </div>
                        </div>
                    </div>
                </div>


                <div class="col-md-6">
                    <div class="card">
                        <div class="card-header"><h3><?php echo e(__('Login Information')); ?></h3></div>
                        <div class="card-body">
                            <div class="row">

                                <div class="col-md-12">

                                    <div class="form-group">
                                        <label for="exampleInputName1"><?php echo e(__('Email address')); ?></label>
                                        <input type="email" class="form-control" id="email" name="email" placeholder="Email" required>
                                    </div>                            
                                    <div class="form-group">
                                        <label for="exampleInputPassword4"><?php echo e(__('Password')); ?></label>
                                        <input type="password" class="form-control" id="password" name="password" placeholder="Enter Password" required>
                                    </div>
                                    <div class="form-group">
                                        <label for="exampleInputPassword4"><?php echo e(__('Confirm Password')); ?></label>
                                        <input type="password" class="form-control" id="confirm-password" name="confirm-password" placeholder="Confirm Password" required>
                                    </div>
                                    <div class="form-group">
                                        <label for=""><?php echo e(__('Roles')); ?> </label>
                                        <select name="roles[]" id="roles" class="form-control select2" multiple="multiple" data-placeholder="Select Role(s)" required>
                                        <?php $__currentLoopData = $roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $roles): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($id); ?>" <?php echo e((in_array($id, old('roles', [])) || isset($user) && $user->roles->contains($id)) ? 'selected' : ''); ?>><?php echo e($roles); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                    <button type="submit" class="btn btn-primary mr-2"><?php echo e(__('Submit')); ?></button>
                                    <button type="button" class="btn btn-light" onclick="window.location.href='<?php echo e(route('admin.users.index')); ?>'"><?php echo e(__('Cancel')); ?></button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </form>
        
    </div>

    <!-- push external js -->
    <?php $__env->startPush('script'); ?>
        <script src="<?php echo e(asset('plugins/select2/dist/js/select2.min.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/summernote/dist/summernote-bs4.min.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/bootstrap-tagsinput/dist/bootstrap-tagsinput.min.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/jquery.repeater/jquery.repeater.min.js')); ?>"></script>
        <script src="<?php echo e(asset('plugins/mohithg-switchery/dist/switchery.min.js')); ?>"></script>
      
        <script src="<?php echo e(asset('js/form-advanced.js')); ?>"></script>

        <script>
        function validateForm() {
          
          if(document.getElementById('fname').value == ""){
              alert("Please Enter First Name to Continue!");
               return false;
          }
          if(document.getElementById('mname').value == ""){
              alert("Please Enter Middle Name to Continue!");
               return false;
          }
          if(document.getElementById('lname').value == ""){
              alert("Please Enter Last Name to Continue!");
               return false;
          }          
          if(document.getElementById('email').value == ""){
              alert("Please Enter Email Address to Continue!");
               return false;
          }
          if(document.getElementById('password').value == ""){
              alert("Please Enter Password to Continue!");
               return false;
          }  
          if(document.getElementById('user_photo').value == ""){
              alert("Please Select Photo to Continue!");
               return false;
          }    

          if(document.getElementById('password').value != document.getElementById('confirm-password').value){
              alert("Password and Confirm Password does not match!");
               return false;
          }
          if(document.getElementById('mobilenumber').value == ""){
              alert("Please Enter Mobile Number to Continue!");
               return false;
          }  
          if(document.getElementById('birthdate').value == ""){
              alert("Please Enter Birth Date to Continue!");
               return false;
          }  
          if(document.getElementById('birthplace').value == ""){
              alert("Please Enter Birth Place to Continue!");
               return false;
          }            

          var ok = confirm("Are you sure you want Save Record?");
          if(ok){  
            return true; 
          } else {  
            return false; 
          }
        }
        </script>
    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>
    

<?php echo $__env->make('layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\meds\resources\views/admin/users/create.blade.php ENDPATH**/ ?>