 
<?php $__env->startSection('title', 'List of Users'); ?>
<?php $__env->startSection('content'); ?>
    <!-- push external head elements to head -->
    <?php $__env->startPush('head'); ?>
        <link rel="stylesheet" href="<?php echo e(asset('plugins/DataTables/datatables.min.css')); ?>">
    <?php $__env->stopPush(); ?>
 


    <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <i class="ik ik-users bg-green"></i>
                        <div class="d-inline">
                            <h5><?php echo e(__('List of Users')); ?></h5>
                            <span><?php echo e(__('Manage User Access')); ?></span>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="<?php echo e(route('home')); ?>"><i class="ik ik-home"></i></a>
                            </li>
                            <li class="breadcrumb-item">
                                <a href="#">User Management</a>
                            </li>
                            <li class="breadcrumb-item active" aria-current="page">List of Users</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header"><h3><?php echo e(__('List of Users')); ?></h3></div>
                    <div class="card-body">
                      

                          <div class="px-1">
                            <button type="button" class="btn btn-primary btn-sm" onclick="window.location.href='<?php echo e(route('admin.users.create')); ?>'"><i class="fas fa-edit"></i> Add New User</button>
                          </div>  

                    </div>
                    <div class="card-body">
 
                        <table  id="employee-grid" class="display compact custom" cellspacing="0" cellspacing="0" style="width:100%">
                            <thead>
                            <tr>
                                <th>Action</th>
                                <th>Photo</th>
                                <th>ID</th>
                                <th>Name</th>
                                <th>Email</th>
                                <th>Roles</th>
                            </tr>
                            </thead>
                            <tbody>

                            </tbody>

                        </table>  
                    </div>
                </div>
            </div>
        </div>

    </div>


    <!-- push external js -->
    <?php $__env->startPush('script'); ?>
        <!--
        <script src="<?php echo e(asset('plugins/DataTables/datatables.min.js')); ?>"></script>
        <script src="<?php echo e(asset('js/datatables.js')); ?>"></script>
        -->

        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('mylib/css/jquery.dataTables.css')); ?>"> 
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('mylib/css/buttons.dataTables.min.css')); ?>"> 

        <script type="text/javascript" language="javascript" src="<?php echo e(asset('mylib/js/jquery.dataTables.min.js')); ?>"></script>
        <script type="text/javascript" language="javascript" src="<?php echo e(asset('mylib/js/dataTables.buttons.min.js')); ?>"></script>
        <script type="text/javascript" language="javascript" src="<?php echo e(asset('mylib/js/jszip.min.js')); ?>"></script>
        <script type="text/javascript" language="javascript" src="<?php echo e(asset('mylib/js/pdfmake.min.js')); ?>"></script>
        <script type="text/javascript" language="javascript" src="<?php echo e(asset('mylib/js/vfs_fonts.js')); ?>"></script>
        <script type="text/javascript" language="javascript" src="<?php echo e(asset('mylib/js/buttons.html5.min.js')); ?>"></script>
        <script type="text/javascript" language="javascript" src="<?php echo e(asset('mylib/js/buttons.colVis.min.js')); ?>"></script> 


        <script>
            $(document).ready(function () {
                $('#employee-grid').DataTable({
                    //scrollY:        "300px",
                    scrollX:        true,
                    scrollCollapse: true,
                    paging:         true,
                    columnDefs: [
                          { targets: [0, 1], className: "text-center" },
                    ],
                    fixedColumns: true,


                    processing: true,
                    serverSide: true,
                dom: 'Blfrtip',
                buttons: [
                    'copyHtml5',
                    'excelHtml5',
                    'csvHtml5',
                    'pdfHtml5'
                ], 
                    "lengthMenu": [[10, 20, 30, 40, 50, 100 - 1], [10, 20, 30, 40, 50, 100, "All"]],
                    "pageLength": 10,  
                    
                    "ajax":{
                             "url": "<?php echo e(url('allusers')); ?>",
                             "dataType": "json",
                             "type": "POST",
                             "data":{ _token: "<?php echo e(csrf_token()); ?>"}
                           },
                    "columns": [
                        { "data": "options" },
                        { 
                            data:'user_photo',
                            name:'user_photo',
                            render: function (data, type, full, meta) {
                                //return "<img src=\"/storage/employees/" + data + "\" height=\"25\"   alt='No Image'/>";
                                return "<a href=\"/storage/users/" + data + "\" target='_blank'><img src=\"/storage/users/" + data + "\" height=\"25\"   alt='No Image'/></a>";
                            },
                            orderable: false, searchable: false
                        },


                        { "data": "id" },
                        { "data": "name" },
                        { "data": "email" },
                        { "data": "role" }
                        
                    ]    

                });
            });
        </script>   
    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>
      

<?php echo $__env->make('layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\meds\resources\views/admin/users/index.blade.php ENDPATH**/ ?>